/* ==========================================================================
   WooCommerce Single Product Page styles - begin
   ========================================================================== */

.mkdf-woo-single-page {
	
	&.mkdf-woo-single-thumb-on-left-side {
		
		.mkdf-single-product-content {
			
			.images {
				
				@media only screen and (min-width: $ipad-portrait-plus-pixel) {
					
					figure {
						width: 100%;
						margin: 0;
					}
					
					.woocommerce-product-gallery__image {
						
						&:first-child {
							left: 120px;
							width: calc(100% - 120px);
						}
					}
					
					&.woocommerce-product-gallery--with-images {
						
						.woocommerce-product-gallery__image {
							
							&:not(:first-child) {
								position: absolute;
								top: 0;
								left: 0;
								width: 100px;
								height: 100px;
								padding: 0;
								
								a {
									height: 100%;
									
									img {
										height: 100%;
									}
								}
							}
							
							$thumbnail_numbers: (2, 3, 4, 5, 6, 7, 8, 9);
							@for $i from 0 to length($thumbnail_numbers) {
								$thumbnail_number_value: nth($thumbnail_numbers, $i+1);
								
								&:nth-child(#{$thumbnail_number_value}#{n}) {
									$topPos: (100 * $i + 20 * $i)#{px};
									
									top: $topPos;
								}
							}
						}
					}
				}
			}
		}
	}
    
    .product {
	    @include mkdfRelativeHolderLayout();
	    float: none;
	    margin: 0 0 66px;
    }
        
    .mkdf-single-product-content {
        @include mkdfRelativeHolderLayout();
        clear: both;
        margin: 0 0 20px;
	
	    .images {
		    position: relative;
		    display: inline-block;
		    vertical-align: middle;
		    width: 51%;
		    margin: 0;
		    padding: 0 29px 0 0;
		    float: left;
		    box-sizing: border-box;
		    
		    figure {
			    position: relative;
			    display: inline-block;
			    vertical-align: top;
			    margin: 0 -10px;
			
			    a {
				    @include mkdfRelativeHolderLayout();
				
				    img {
					    position: relative;
					    width: 100%;
					    display: block;
						border: 1px solid #e5e5e5;
						box-sizing: border-box;
				    }
			    }
		    }
		
		    .woocommerce-product-gallery__trigger {
				position: absolute;
			    top: 10px;
			    right: 39px;
			    width: 30px;
			    height: 30px;
			    line-height: 30px;
			    text-align: center;
			    z-index: 10;
		    }
		    
		    .woocommerce-product-gallery__image {
			    position: relative;
			    display: inline-block;
			    vertical-align: top;
			    margin: 0;
			    padding: 0 8px;
			    box-sizing: border-box;
			    
			    &:first-child {
				    left: 10px;
				    width: calc(100% - 20px);
				    padding: 0;
			    }
			
			    .zoomImg {
				    cursor: crosshair;
			    }
		    }
		    
		    &.woocommerce-product-gallery--with-images {
			
			    .woocommerce-product-gallery__image {
				
				    &:not(:first-child) {
					    float: left;
					    padding-top: 32px;
				    }
			    }
		    }
		
		    $thumb_3_columns_label: ('columns-2', 'columns-3', 'columns-4');
		    @for $i from 0 to length($thumb_3_columns_label) {
			    &.woocommerce-product-gallery--#{nth($thumb_3_columns_label, $i+1)} {
				    $column_width: 100%/($i+2);
				
				    .woocommerce-product-gallery__image {
					
					    &:not(:first-child) {
						    width: $column_width;
					    }
				    }
			    }
		    }
	    }
    }
	
    .mkdf-single-product-summary {
        position: relative;
        display: inline-block;
        vertical-align: middle;
        width: 49%;
        padding: 0 0 0 29px;
        float: left;
        box-sizing: border-box;
	
	    .mkdf-single-product-title {
		    display: block;
		    margin: 0 0 4px;
			width: calc(100% - 150px);
	    }
	
	    .price {
		    position: relative;
		    display: block;
		    margin: 44px 0 22px;
		    line-height: 1;
		    color: $first-main-color;
			font-size: 30px;
			font-weight: 700;
			font-family: $default-heading-font;
		
		    * {
			    font-size: inherit;
			    line-height: inherit;
		    }
		
		    del {
			    margin: 0 8px 0 0;
				color: #bababa;
		    }
		
		    ins {
			    text-decoration: none;
		    }
	    }
	
	    .woocommerce-product-rating {
		    @include mkdfRelativeHolderLayout();
		    line-height: 1;
		    margin: 2px 0 3px 0;

            .star-rating {
                font-size: 18px;
            }
	    }
	
	    div[itemprop="description"] {
		    @include mkdfRelativeHolderLayout();
		    margin: 22px 0 3px;
		    padding: 25px 0;
		    border-top: 1px solid $default-border-color;
		    border-bottom: 1px solid $default-border-color;
		
		    p {
			    margin: 0;
		    }
	    }
	
	    .product_meta {
		    margin: 28px 0 0;
		
		    > span {
			    display: block;
			    margin: 3px 0;
			
			    a {
				    color: $default-text-color;
				
				    &:hover {
					    color: $first-main-color;
				    }
			    }
		    }
	    }
	
	    .mkdf-woo-social-share-holder {
			display: inline-block;
			vertical-align: middle;
		    margin: 0;
			position: absolute;
			top: 0;
			right: 0;
			background-color: #e7f8ff;
			border: 1px solid #b4e6fd;
			padding: 1px 12px;
			.mkdf-social-share-holder.mkdf-dropdown {
				.mkdf-social-share-dropdown {
					ul {
						left: -13px;
					}
				}
			}
		
		    > * {
			    display: table-cell;
			    vertical-align: top;
		    }
		
		    > span {
			    padding: 0 9px 0 0;
		    }

			.mkdf-social-share-title {
				font-weight: 700;
				font-size: 12px;
				text-transform: uppercase;
				color: $first-main-color;
			}

			.social_share {
				color: $first-main-color;
				font-size: 10px;
				position: relative;
				top: -2px;
			}
	    }
	
	    p.stock.out-of-stock,
	    p.stock.in-stock {
		    color: $default-heading-color;
		    font-weight: bold;
		    margin: 18px 0 0;
	    }
	
	    form.cart {
		    @include mkdfRelativeHolderLayout();
		    margin: 36px 0 0;
	    }
	
	    .mkdf-quantity-buttons {
		    margin: 0 13px 0 0;
	    }
    }
	
	.woocommerce-tabs {
		@include mkdfRelativeHolderLayout();
		margin: 30px 0 0;
		
		ul.tabs {
			@include mkdfRelativeHolderLayout();
			list-style: none;
			margin: 0;
			padding: 0;
			border-bottom: 1px solid $default-border-color;
			clear: both;
			
			> li {
				position: relative;
				display: inline-block;
				vertical-align: middle;

				
				a {
					position: relative;
					display: inline-block;
					vertical-align: top;
					padding: 13px 15px;
                    font-size: 14px;
                    font-weight: 700;
                    font-family: $default-heading-font;

					&:before {
						font-family: 'Linearicons-Free';
						display: inline-block;
						margin-right: 8px;
					}

					&[href*="description"]:before {
						content: "\e802";
					}
					&[href*="reviews"]:before {
						content: "\e814";
					}
					&[href*="additional"]:before {
						content: "\e843";
					}
				}

				&:first-child {
					a {
						padding-left: 0;
					}
				}

				&:after {
					content: '';
					display: block;
					border-bottom: 2px solid transparent;
				}

				&.active:after {
					border-bottom: 2px solid $first-main-color;
				}
			}
		}
		
		.entry-content {
			@include mkdfRelativeHolderLayout();
			
			> h2 {
				display: none;
			}
			
			> p {
				margin: 18px 0 20px;
			}
		}
		
		table {
			margin: 18px 0 20px;
			
			tr, th {
				border: 0;
			}
			
			td, th {
				padding: 3px 0;
				vertical-align: middle;
				text-align: left;
				
				p {
					margin: 0;
				}
			}
			
			th {
				color: $default-heading-color;
				width: 1%;
				padding: 0 10px 0 0;
			}
			
			td {
				width: 99%;
			}
		}
		
		#reviews {
			@include mkdfRelativeHolderLayout();
			margin: 18px 0 20px;
			
			h2 {
				font-size: 18px;
				line-height: 24px;
				margin: 8px 0 24px;
			}
			
			ol.commentlist {
				list-style: none;
				
				.comment_container {
					@include mkdfRelativeHolderLayout();
					
					img {
						float: left;
						width: 60px;
					}
				}
				
				.comment-text {
					padding: 0 0 0 80px;
					
					div[itemprop="description"] {
						padding: 0;
						margin: 0 0 15px;
						border: 0;
					}
					
					p {
						margin: 5px 0 0;
					}
				}
			}
			
			.comment-respond {
				margin-top: 15px;
				
				.comment-reply-title {
					margin: 0 0 10px;
				}
				
				p {
					margin: 0;
				}
				
				.stars {
					overflow: hidden;
					
					a {
						position: relative;
						display: inline-block;
						color: transparent;
						font-size: 0;
						margin: 0;
						
						&:before {
							position: relative;
							display: inline-block;
							vertical-align: middle;
							font-family: "ElegantIcons";
							content: "\e031";
							font-size: 12px;
							line-height: 1;
							letter-spacing: 2px;
							color: $default-text-color;
							overflow: hidden;
							z-index: -1;
							-webkit-font-smoothing: antialiased;
							-moz-osx-font-smoothing: grayscale;
						}
						
						&.active:after {
							position: absolute;
							right: 0;
							bottom: 7px;
							display: block;
							font-family: "ElegantIcons";
							font-size: 12px;
							line-height: 1;
							letter-spacing: 2px;
							color: $default-text-color;
							content: "\e033\e033\e033\e033\e033";
							-webkit-font-smoothing: antialiased;
							-moz-osx-font-smoothing: grayscale;
						}
					}
				}
			}
		}
	}
	
	.related.products,
	.upsells.products {
		margin: 39px 0 0;
		text-align: center;
		
		> h2 {
			display: block;
			margin: 36px 0 32px;
			text-align: left;
			font-size: 22px;
		}
		
		.product {
			
			.mkdf-pl-text-wrapper {
				margin-bottom: 0;
			}

			.button {
				margin: 0;
				width: 100%;
				background-color: rgba(255,255,255,.9);
				color: $first-main-color;
				@include mkdfTransform(translateY(100%));
				@include mkdfTransition( all .25s ease-in-out);
			}

			&:hover {
				.mkdf-pl-inner {
					.button {
						@include mkdfTransform( translateY(0));
					}
				}
			}
		}
	}
}
/* ==========================================================================
   WooCommerce Single Product Page styles - end
   ========================================================================== */